#!/usr/bin/env python

#-----------------------------------------------------------------------
# roundtripxml.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import xml.dom.minidom

#-----------------------------------------------------------------------

def main():

    if len(sys.argv) != 2:
        print('Usage: ' + sys.argv[0] + ' file', file=sys.stderr)
        sys.exit(1)

    xml_file_name = sys.argv[1]

    try:

        with open(xml_file_name, 'r', encoding='utf-8') as xml_file:
            xml_doc = xml_file.read()

        # XML to DOM tree:
        xml_dom_tree = xml.dom.minidom.parseString(xml_doc)

        # DOM tree to XML:
        xml_doc = xml_dom_tree.toxml()

        # Show that it worked:
        print(xml_doc)

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
