#!/usr/bin/env python

#-----------------------------------------------------------------------
# writebooks.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import xml.dom.minidom

#-----------------------------------------------------------------------

def main():

    try:
        with open('books.xml', 'r', encoding='utf-8') as xml_file:
            xml_doc = xml_file.read()

        xml_dom_tree = xml.dom.minidom.parseString(xml_doc)

        books_node = xml_dom_tree.childNodes[4]

        i = 1
        while i < len(books_node.childNodes):
            book_node = books_node.childNodes[i]

            isbn_node = book_node.childNodes[1]
            author_node = book_node.childNodes[3]
            title_node = book_node.childNodes[5]
            price_node = book_node.childNodes[7]

            isbn = isbn_node.childNodes[0].nodeValue
            author = author_node.childNodes[0].nodeValue
            title = title_node.childNodes[0].nodeValue
            price = price_node.childNodes[0].nodeValue

            currency = \
                price_node.attributes.getNamedItem('currency').nodeValue

            print('ISBN:', isbn)
            print('Author:', author)
            print('Title:', title)
            print('Price:', price, currency)
            print()
            i += 2

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
