#!/usr/bin/env python

#-----------------------------------------------------------------------
# writebooksshort.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import xml.dom.minidom

#-----------------------------------------------------------------------

def main():

    try:
        with open('books.xml', 'r', encoding='utf-8') as xml_file:
            xml_doc = xml_file.read()

        xml_dom_tree = xml.dom.minidom.parseString(xml_doc)

        book_nodes = xml_dom_tree.getElementsByTagName('book')

        for book_node in book_nodes:
            isbn_node = book_node.getElementsByTagName('isbn')[0]
            author_node = book_node.getElementsByTagName('author')[0]
            title_node = book_node.getElementsByTagName('title')[0]
            price_node = book_node.getElementsByTagName('price')[0]

            isbn = isbn_node.childNodes[0].nodeValue
            author = author_node.childNodes[0].nodeValue
            title = title_node.childNodes[0].nodeValue
            price = price_node.childNodes[0].nodeValue
            currency = price_node.attributes.getNamedItem(
                'currency').nodeValue

            print('ISBN:', isbn)
            print('Author:', author)
            print('Title:', title)
            print('Price:', price, currency)
            print()

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
